> For the complete documentation index, see [llms.txt](https://docs.xorosoft.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.xorosoft.com/developers-api/inventory-management/list-item-inventory-by-quality.md).

# List Item Inventory by Quality

Retrieves inventory details for items based on specified quality attributes.

Retrieve inventory data from Xorosoft ERP using the supported query filters. Use this endpoint to synchronize reference or transaction data with external systems while respecting private app permissions.

```json
{"openapi":"3.0.3","info":{"title":"Xorosoft ERP Public API","version":"2026.07"},"tags":[{"name":"Inventory Management","description":"Use Inventory Management APIs to read and update stock availability across stores, warehouses, locations, items, products, and inventory qualities. These endpoints are typically used by commerce channels, warehouse tools, 3PL integrations, and replenishment workflows that need current on-hand, allocated, available, and not-available quantities. Write operations should be used carefully because they can affect fulfillment and accounting downstream."}],"servers":[{"url":"https://res.xorosoft.io","description":"Xorosoft ERP API server"}],"security":[{"basic":[]}],"components":{"securitySchemes":{"basic":{"scheme":"basic","type":"http"}}},"paths":{"/api/xerp/inventory/getiteminventorybyquality":{"get":{"parameters":[{"description":"A comma-separated list of product ids.","in":"query","name":"product_id","required":false,"schema":{"type":"string"}},{"description":"A comma-separated list of item ids.","in":"query","name":"item_id","required":false,"schema":{"type":"string"}},{"description":"A comma-separated list of base part numbers.","in":"query","name":"base_part_number","required":false,"schema":{"type":"string"}},{"description":"A comma-separated list of item numbers.","in":"query","name":"item_number","required":false,"schema":{"type":"string"}},{"description":"A comma-separated list of quality codes.","in":"query","name":"quality_code","required":false,"schema":{"type":"string"}},{"description":"A comma-separated list of quality names.","in":"query","name":"quality_name","required":false,"schema":{"type":"string"}},{"name":"account3pl_id","in":"query","required":false,"description":"3PL account identifier.","schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"properties":{"Data":{"items":{"properties":{"Account3plCode":{"type":"string"},"Account3plName":{"type":"string"},"AlternativeItemNumber1":{"type":"string"},"AlternativeItemNumber2":{"type":"string","nullable":true},"AlternativeItemNumber3":{"type":"string","nullable":true},"AvailableQty":{"type":"number"},"BasePartNumber":{"type":"string"},"BrandId":{"type":"number"},"BrandName":{"type":"string"},"CategoryId":{"type":"number"},"CategoryName":{"type":"string"},"CustomFieldValue1":{"type":"string"},"CustomFieldValue15":{"type":"string"},"Description":{"type":"string"},"ItemId":{"type":"number"},"ItemNumber":{"type":"string"},"ItemUpc":{"type":"string"},"NotAvailableQty":{"type":"number"},"OnHandQty":{"type":"number"},"Option1Code":{"type":"string"},"Option1Name":{"type":"string"},"Option1Value":{"type":"string"},"Option2Code":{"type":"string"},"Option2Name":{"type":"string"},"Option2Value":{"type":"string"},"Option3Code":{"type":"string","nullable":true},"Option3Name":{"type":"string","nullable":true},"Option3Value":{"type":"string","nullable":true},"ProductCategoryId":{"type":"number","nullable":true},"ProductCategoryName":{"type":"string","nullable":true},"ProductId":{"type":"number"},"QualityCode":{"type":"string"},"QualityId":{"type":"number"},"QualityName":{"type":"string"},"StoreName":{"type":"string"},"SubCategoryId":{"type":"number"},"SubCategoryName":{"type":"string"}},"type":"object"},"type":"array"},"IsForwardRequest":{"type":"boolean"},"Message":{"type":"string"},"MessageTitle":{"type":"string","nullable":true},"Result":{"type":"boolean"}},"type":"object"}}},"description":"OK","headers":{}}},"tags":["Inventory Management"],"description":"Retrieves inventory details for items based on specified quality attributes.\n\nRetrieve inventory data from Xorosoft ERP using the supported query filters. Use this endpoint to synchronize reference or transaction data with external systems while respecting private app permissions.","operationId":"get_inventory_getiteminventorybyquality","summary":"List Item Inventory by Quality"}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.xorosoft.com/developers-api/inventory-management/list-item-inventory-by-quality.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
